
CoCoA-5 - Bug #1215

RationalSolve: gives "Error: must be non-zero"

07 Aug 2018 18:08 - John Abbott

Status: Closed Start date: 07 Aug 2018

Priority: Normal Due date:  

Assignee: John Abbott % Done: 100%

Category: bug Estimated time: 0.49 hour

Target version: CoCoA-5.4.0 Spent time: 0.45 hour

Description

I tried running the example in the first comment of issue #723.  The call to RationalSolve reported Error: value must be non-zero

Investigate and fix.

Related issues:

Related to CoCoA-5 - Feature #723: Referring to indets with multiple indices ... New 02 Jun 2015

Related to CoCoA-5 - Bug #1216: RationalSolve: gives wrong answer Closed 07 Aug 2018

History

#1 - 07 Aug 2018 18:10 - John Abbott

The first cause of the bug is that the code attempts to factorize the zero polynomial.

Perhaps in a finite field, this special case should be detected and simply return all elements of the field?

#2 - 07 Aug 2018 18:10 - John Abbott

- Related to Feature #723: Referring to indets with multiple indices from a polyring added

#3 - 05 Apr 2019 20:17 - John Abbott

- Related to Bug #1216: RationalSolve: gives wrong answer added

#4 - 01 Oct 2019 14:13 - John Abbott

- Target version changed from CoCoA-5.3.0 to CoCoA-5.4.0

#5 - 18 Feb 2021 22:00 - John Abbott

- Status changed from New to Feedback

- Assignee set to John Abbott

- % Done changed from 0 to 90

Is this issue a duplicate of issue #724?

I think so.  Anyway, I tried the example mentioned in the description, and no error is produced.

We can probably close this (since it is effectively a duplicate).  But I'll put it into feedback for a short while.

#6 - 24 Sep 2021 22:35 - John Abbott

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

- Estimated time set to 0.49 h

Closing this issue because there is no clear indication of what to test.

I suspect the new design of RationalSolve and RationalSolveHomog has eliminated whatever the problem was.
